GrooveBuilder Class

class NXOpen.Weld.GrooveBuilder

Bases: NXOpen.Features.FeatureBuilder

Represents a Groove Weld feature

To create a new instance of this class, use NXOpen.Weld.WeldManager.CreateWeldGrooveBuilder()

New in version NX5.0.0.

Properties

Property Description
BottomExtension Returns or sets the extension method for the bottom edges
ContourShape Returns or sets the contour contour shape.
DistanceFromEnd Returns the distance from the end of the faces to build the groove weld
DistanceFromStart Returns the distance from the start of the faces to build the groove weld
FirstFaceset Returns or sets the first set of faces
FirstFacesetBottomEdges Returns or sets the first set bottom edges to extend
FirstFacesetHelpPoint Returns or sets the first set help point.
FirstFacesetTopEdges Returns or sets the first set top edges to extend
GrooveShape Returns or sets the shape of the groove weld to create
GrooveType Returns or sets the groove creation type
IsFieldWeld Returns or sets the field weld status.
IsFirstFacesetNormalReversed Returns or sets the side of the faceset to build the groove feature.
IsNumberOfSegments Returns or sets the is number of segments option.
IsSecondFacesetNormalReversed Returns or sets the side of the faceset to build the groove feature.
IsSegmentLength Returns or sets the is segment length option.
IsSpacing Returns or sets the is spacing option.
Method Returns or sets the method
NumberOfSegments Returns the number of weld welds for a skip weld.
NumberRequiredFaceSets Returns or sets the number of connected parts.
OutputGeometryType Returns or sets the output geometry type
OutputType Returns or sets the output type.
ParentFeatureInternal Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal
PatchSolutionFlag Returns or sets the patch solution flag
PatchSurfaceFilename Returns or sets the patch surface filename
PrepareEdges Returns or sets the apply edge preportion indicator.
RootUpdate Returns or sets the process type
SecondFaceset Returns or sets the second set of faces
SecondFacesetBottomEdges Returns or sets the second set bottom edges to extend
SecondFacesetHelpPoint Returns or sets the second set help point.
SecondFacesetTopEdges Returns or sets the second set top edges to extend
SegmentLength Returns the segment length for a skip weld.
SequenceNumber Returns or sets the sequence number for the groove feature.
SpacingDistance Returns the desired spacing between skip welds.
SurroundingPatchSurfaceFilename Returns or sets the surrounding patch surface filename
Tag Returns the Tag for this object.
TaperAtEnd Returns the taper angle at the end.
TaperAtStart Returns the taper angle at the start.
TaperMethod Returns or sets the taper method to use if tapering is specified.
TopExtension Returns or sets the the extension method for the top edges

Methods

Method Description
Commit Commits any edits that have been applied to the builder.
CommitFeature Commits the feature parameters and creates the feature
Destroy Deletes the builder, and cleans up any objects created by the builder.
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetContourHeight Gets the contour height needed to describe groove weld shape
GetFeature Returns the feature currently being edited by this builder.
GetFirstFacesetEndAdjacentFaces Gets the adjacent faces of the target solid.
GetFirstFacesetStartAdjacentFaces Gets the adjacent faces of the target solid.
GetGrooveAngle Gets the groove angle needed to describe groove weld
GetGrooveRadius Gets the groove radius needed to describe groove weld
GetObject Returns the object currently being edited by this builder.
GetPenetrationDepth Gets the penetration depth needed to describe groove weld
GetRootOpening Gets the root opening height needed to describe groove weld
GetRootPenetration Gets the root penetration needed to describe groove weld
GetSecondFacesetEndAdjacentFaces Gets the adjacent faces of the target solid.
GetSecondFacesetStartAdjacentFaces Gets the adjacent faces of the target solid.
GetSecondPenetrationDepth Gets the second penetration depth needed to describe groove weld.
HideInternalParentFeatureAfterEdit Re-suppress an internal parent feature (a slave feature) after it has been edited.
SetContourHeight Sets the contour height needed to describe groove weld
SetDistanceFromEnd Sets the distance from the end of the faces to build the groove weld
SetDistanceFromStart Set the distance from the start of the faces to build the groove weld
SetFirstFacesetEndAdjacentFaces Sets the adjacent faces of the target solid.
SetFirstFacesetStartAdjacentFaces Sets the adjacent faces of the target solid.
SetGrooveAngle Sets the groove angle needed to describe groove weld
SetGrooveRadius Sets the groove radius needed to describe groove weld
SetNumberOfSegments Sets the desired number of segments for the groove weld.
SetParentFeatureInternal Set the parent features which would be internal or slaves to the feature being created or commited
SetPenetrationDepth Sets the penetration depth needed to describe groove weld
SetRootOpening Sets the root opening height needed to describe groove weld
SetRootPenetration Sets the root penetration needed to describe groove weld
SetSecondFacesetEndAdjacentFaces Sets the adjacent faces of the target solid.
SetSecondFacesetStartAdjacentFaces Sets the adjacent faces of the target solid.
SetSecondPenetrationDepth Sets the penetration depth needed to describe groove weld
SetSegmentLength Sets the desired segment lengh for the skip weld.
SetSpacingDistance Sets the desired spacing between skip welds.
SetTaperAtEnd Sets the taper angle at the end.
SetTaperAtStart Sets the taper angle at the start.
ShowInternalParentFeatureForEdit Unsuppress an internal parent feature (a slave feature) so it can be edited.
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
UnsetParentFeatureInternal Set the internal parent feature of the feature being edited to external
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Property Detail

BottomExtension

GrooveBuilder.BottomExtension

Returns or sets the extension method for the bottom edges

-------------------------------------

Getter Method

Signature BottomExtension

Returns:
Return type:NXOpen.Weld.WeldGrooveExtension

New in version NX5.0.0.

Deprecated since version NX9.0.0: This functionality is no longer supported.

License requirements: None.

-------------------------------------

Setter Method

Signature BottomExtension

Parameters:extensionType (NXOpen.Weld.WeldGrooveExtension) –

New in version NX5.0.0.

Deprecated since version NX9.0.0: This functionality is no longer supported.

License requirements: ugweld (“UG WELD”)

ContourShape

GrooveBuilder.ContourShape

Returns or sets the contour contour shape.

This is the shape on the top of the groove weld

-------------------------------------

Getter Method

Signature ContourShape

Returns:
Return type:NXOpen.Weld.WeldContourShape

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.ContourType`instead.

License requirements: None.

-------------------------------------

Setter Method

Signature ContourShape

Parameters:contourShape (NXOpen.Weld.WeldContourShape) –

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.ContourType`instead.

License requirements: ugweld (“UG WELD”)

DistanceFromEnd

GrooveBuilder.DistanceFromEnd

Returns the distance from the end of the faces to build the groove weld

-------------------------------------

Getter Method

Signature DistanceFromEnd

Returns:expression
Return type:NXOpen.Expression

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.EndDistance`instead.

License requirements: None.

DistanceFromStart

GrooveBuilder.DistanceFromStart

Returns the distance from the start of the faces to build the groove weld

-------------------------------------

Getter Method

Signature DistanceFromStart

Returns:expression
Return type:NXOpen.Expression

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.StartDistance`instead.

License requirements: None.

FirstFaceset

GrooveBuilder.FirstFaceset

Returns or sets the first set of faces

-------------------------------------

Getter Method

Signature FirstFaceset

Returns:connected set of faces
Return type:NXOpen.ScCollector

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.FaceSet1`instead.

License requirements: None.

-------------------------------------

Setter Method

Signature FirstFaceset

Parameters:faceCollector (NXOpen.ScCollector) –

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.FaceSet1`instead.

License requirements: ugweld (“UG WELD”)

FirstFacesetBottomEdges

GrooveBuilder.FirstFacesetBottomEdges

Returns or sets the first set bottom edges to extend

-------------------------------------

Getter Method

Signature FirstFacesetBottomEdges

Returns:connected set of edges
Return type:NXOpen.Section

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.EdgeSet1`instead.

License requirements: None.

-------------------------------------

Setter Method

Signature FirstFacesetBottomEdges

Parameters:section (NXOpen.Section) –

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.EdgeSet1`instead.

License requirements: ugweld (“UG WELD”)

FirstFacesetHelpPoint

GrooveBuilder.FirstFacesetHelpPoint

Returns or sets the first set help point.

If multiple solutions exist, the desired solution used will be the one closest to this point

-------------------------------------

Getter Method

Signature FirstFacesetHelpPoint

Returns:desired solution is closest to this point
Return type:NXOpen.Point3d

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.SeedPoint1``instead.

License requirements: None.

-------------------------------------

Setter Method

Signature FirstFacesetHelpPoint

Parameters:helpPoint (NXOpen.Point3d) –

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.SeedPoint1``instead.

License requirements: ugweld (“UG WELD”)

FirstFacesetTopEdges

GrooveBuilder.FirstFacesetTopEdges

Returns or sets the first set top edges to extend

-------------------------------------

Getter Method

Signature FirstFacesetTopEdges

Returns:connected set of edges
Return type:NXOpen.Section

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.EdgeSet1`instead.

License requirements: None.

-------------------------------------

Setter Method

Signature FirstFacesetTopEdges

Parameters:section (NXOpen.Section) –

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.EdgeSet1`instead.

License requirements: ugweld (“UG WELD”)

GrooveShape

GrooveBuilder.GrooveShape

Returns or sets the shape of the groove weld to create

-------------------------------------

Getter Method

Signature GrooveShape

Returns:
Return type:NXOpen.Weld.WeldGrooveShape

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:class:`NXOpen.Weld.WeldGrooveBuilderTypes`instead.

License requirements: None.

-------------------------------------

Setter Method

Signature GrooveShape

Parameters:grooveShape (NXOpen.Weld.WeldGrooveShape) –

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:class:`NXOpen.Weld.WeldGrooveBuilderTypes`instead.

License requirements: ugweld (“UG WELD”)

GrooveType

GrooveBuilder.GrooveType

Returns or sets the groove creation type

-------------------------------------

Getter Method

Signature GrooveType

Returns:
Return type:NXOpen.Weld.WeldGrooveType

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.EdgeType``instead.

License requirements: None.

-------------------------------------

Setter Method

Signature GrooveType

Parameters:grooveType (NXOpen.Weld.WeldGrooveType) –

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.EdgeType``instead.

License requirements: ugweld (“UG WELD”)

IsFieldWeld

GrooveBuilder.IsFieldWeld

Returns or sets the field weld status.

If true then this is a field weld, if false it is not.

-------------------------------------

Getter Method

Signature IsFieldWeld

Returns:
Return type:bool

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.Characteristics`instead.

License requirements: None.

-------------------------------------

Setter Method

Signature IsFieldWeld

Parameters:fieldWeld (bool) –

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.Characteristics`instead.

License requirements: ugweld (“UG WELD”)

IsFirstFacesetNormalReversed

GrooveBuilder.IsFirstFacesetNormalReversed

Returns or sets the side of the faceset to build the groove feature.

The feature will be built opposite the face closest to the help point

-------------------------------------

Getter Method

Signature IsFirstFacesetNormalReversed

Returns:groove weld is built opposite face normal.
Return type:bool

New in version NX5.0.0.

Deprecated since version NX9.0.0: This functionality is no longer supported.

License requirements: None.

-------------------------------------

Setter Method

Signature IsFirstFacesetNormalReversed

Parameters:reversed (bool) –

New in version NX5.0.0.

Deprecated since version NX9.0.0: This functionality is no longer supported.

License requirements: ugweld (“UG WELD”)

IsNumberOfSegments

GrooveBuilder.IsNumberOfSegments

Returns or sets the is number of segments option.

This is used when creating skip welds to compute the spacing between them.

-------------------------------------

Getter Method

Signature IsNumberOfSegments

Returns:
Return type:bool

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.Method``instead.

License requirements: None.

-------------------------------------

Setter Method

Signature IsNumberOfSegments

Parameters:isNumberOfSegments (bool) –

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.Method``instead.

License requirements: ugweld (“UG WELD”)

IsSecondFacesetNormalReversed

GrooveBuilder.IsSecondFacesetNormalReversed

Returns or sets the side of the faceset to build the groove feature.

The feature will be built opposite the face closest to the help point

-------------------------------------

Getter Method

Signature IsSecondFacesetNormalReversed

Returns:groove weld is built opposite face normal.
Return type:bool

New in version NX5.0.0.

Deprecated since version NX9.0.0: This functionality is no longer supported.

License requirements: None.

-------------------------------------

Setter Method

Signature IsSecondFacesetNormalReversed

Parameters:reversed (bool) –

New in version NX5.0.0.

Deprecated since version NX9.0.0: This functionality is no longer supported.

License requirements: ugweld (“UG WELD”)

IsSegmentLength

GrooveBuilder.IsSegmentLength

Returns or sets the is segment length option.

This is used when creating skip welds to compute the spacing between them.

-------------------------------------

Getter Method

Signature IsSegmentLength

Returns:
Return type:bool

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.Method``instead.

License requirements: None.

-------------------------------------

Setter Method

Signature IsSegmentLength

Parameters:isSegmentLength (bool) –

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.Method``instead.

License requirements: ugweld (“UG WELD”)

IsSpacing

GrooveBuilder.IsSpacing

Returns or sets the is spacing option.

This is used when creating skip welds to compute the spacing between them.

-------------------------------------

Getter Method

Signature IsSpacing

Returns:
Return type:bool

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.Method``instead.

License requirements: None.

-------------------------------------

Setter Method

Signature IsSpacing

Parameters:isSpacing (bool) –

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.Method``instead.

License requirements: ugweld (“UG WELD”)

Method

GrooveBuilder.Method

Returns or sets the method

-------------------------------------

Getter Method

Signature Method

Returns:
Return type:NXOpen.Weld.WeldArcMethod

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.CreateSkipWelds``instead.

License requirements: None.

-------------------------------------

Setter Method

Signature Method

Parameters:method (NXOpen.Weld.WeldArcMethod) –

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.CreateSkipWelds``instead.

License requirements: ugweld (“UG WELD”)

NumberOfSegments

GrooveBuilder.NumberOfSegments

Returns the number of weld welds for a skip weld.

-------------------------------------

Getter Method

Signature NumberOfSegments

Returns:expression
Return type:NXOpen.Expression

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.NumberOfWelds`instead.

License requirements: None.

NumberRequiredFaceSets

GrooveBuilder.NumberRequiredFaceSets

Returns or sets the number of connected parts.

Either one for two.

-------------------------------------

Getter Method

Signature NumberRequiredFaceSets

Returns:
Return type:int

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.SingleFaceSet``instead.

License requirements: None.

-------------------------------------

Setter Method

Signature NumberRequiredFaceSets

Parameters:numberRequiredFaceSets (int) –

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.SingleFaceSet``instead.

License requirements: ugweld (“UG WELD”)

OutputGeometryType

GrooveBuilder.OutputGeometryType

Returns or sets the output geometry type

-------------------------------------

Getter Method

Signature OutputGeometryType

Returns:
Return type:NXOpen.Weld.WeldFeatureOutput

New in version NX5.0.0.

Deprecated since version NX9.0.0: This functionality is no longer supported.

License requirements: None.

-------------------------------------

Setter Method

Signature OutputGeometryType

Parameters:outputGeometryType (NXOpen.Weld.WeldFeatureOutput) –

New in version NX5.0.0.

Deprecated since version NX9.0.0: This functionality is no longer supported.

License requirements: ugweld (“UG WELD”)

OutputType

GrooveBuilder.OutputType

Returns or sets the output type.

-------------------------------------

Getter Method

Signature OutputType

Returns:
Return type:NXOpen.Weld.OutputType

New in version NX5.0.0.

Deprecated since version NX9.0.0: This functionality is no longer supported.

License requirements: None.

-------------------------------------

Setter Method

Signature OutputType

Parameters:outputType (NXOpen.Weld.OutputType) –

New in version NX5.0.0.

Deprecated since version NX9.0.0: This functionality is no longer supported.

License requirements: ugweld (“UG WELD”)

PrepareEdges

GrooveBuilder.PrepareEdges

Returns or sets the apply edge preportion indicator.

-------------------------------------

Getter Method

Signature PrepareEdges

Returns:
Return type:NXOpen.Weld.WeldPrepareEdges

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.PrepareEdges``instead.

License requirements: None.

-------------------------------------

Setter Method

Signature PrepareEdges

Parameters:prepareEdges (NXOpen.Weld.WeldPrepareEdges) –

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.PrepareEdges``instead.

License requirements: ugweld (“UG WELD”)

RootUpdate

GrooveBuilder.RootUpdate

Returns or sets the process type

-------------------------------------

Getter Method

Signature RootUpdate

Returns:
Return type:NXOpen.Weld.WeldRootUpdate

New in version NX5.0.0.

Deprecated since version NX9.0.0: This functionality is no longer supported.

License requirements: None.

-------------------------------------

Setter Method

Signature RootUpdate

Parameters:rootUpdate (NXOpen.Weld.WeldRootUpdate) –

New in version NX5.0.0.

Deprecated since version NX9.0.0: This functionality is no longer supported.

License requirements: ugweld (“UG WELD”)

SecondFaceset

GrooveBuilder.SecondFaceset

Returns or sets the second set of faces

-------------------------------------

Getter Method

Signature SecondFaceset

Returns:connected set of faces
Return type:NXOpen.ScCollector

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.FaceSet2`instead.

License requirements: None.

-------------------------------------

Setter Method

Signature SecondFaceset

Parameters:faceCollector (NXOpen.ScCollector) –

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.FaceSet2`instead.

License requirements: ugweld (“UG WELD”)

SecondFacesetBottomEdges

GrooveBuilder.SecondFacesetBottomEdges

Returns or sets the second set bottom edges to extend

-------------------------------------

Getter Method

Signature SecondFacesetBottomEdges

Returns:connected set of edges
Return type:NXOpen.Section

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.EdgeSet2`instead.

License requirements: None.

-------------------------------------

Setter Method

Signature SecondFacesetBottomEdges

Parameters:edgeCollector (NXOpen.Section) –

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.EdgeSet2`instead.

License requirements: ugweld (“UG WELD”)

SecondFacesetHelpPoint

GrooveBuilder.SecondFacesetHelpPoint

Returns or sets the second set help point.

If multiple solutions exist, the desired solution used will be the one closest to this point

-------------------------------------

Getter Method

Signature SecondFacesetHelpPoint

Returns:desired solution is closest to this point
Return type:NXOpen.Point3d

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.SeedPoint2``instead.

License requirements: None.

-------------------------------------

Setter Method

Signature SecondFacesetHelpPoint

Parameters:helpPoint (NXOpen.Point3d) –

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.SeedPoint2``instead.

License requirements: ugweld (“UG WELD”)

SecondFacesetTopEdges

GrooveBuilder.SecondFacesetTopEdges

Returns or sets the second set top edges to extend

-------------------------------------

Getter Method

Signature SecondFacesetTopEdges

Returns:connected set of edges
Return type:NXOpen.Section

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.EdgeSet2`instead.

License requirements: None.

-------------------------------------

Setter Method

Signature SecondFacesetTopEdges

Parameters:edgeCollector (NXOpen.Section) –

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.EdgeSet2`instead.

License requirements: ugweld (“UG WELD”)

SegmentLength

GrooveBuilder.SegmentLength

Returns the segment length for a skip weld.

-------------------------------------

Getter Method

Signature SegmentLength

Returns:expression
Return type:NXOpen.Expression

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.SegmentLength`instead.

License requirements: None.

SequenceNumber

GrooveBuilder.SequenceNumber

Returns or sets the sequence number for the groove feature.

Each groove feature contains a solid. If multiple groove wels are to be created, you must specify the sequence of the groove weld you want. For example if you are expecting 3 welds to be created. You must create 3 groove weld features. The features will have sequence numbers 0,1 and 2.

-------------------------------------

Getter Method

Signature SequenceNumber

Returns:
Return type:int

New in version NX5.0.0.

Deprecated since version NX9.0.0: This functionality is no longer supported.

License requirements: None.

-------------------------------------

Setter Method

Signature SequenceNumber

Parameters:sequenceNumber (int) –

New in version NX5.0.0.

Deprecated since version NX9.0.0: This functionality is no longer supported.

License requirements: ugweld (“UG WELD”)

SpacingDistance

GrooveBuilder.SpacingDistance

Returns the desired spacing between skip welds.

-------------------------------------

Getter Method

Signature SpacingDistance

Returns:expression
Return type:NXOpen.Expression

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.Spacing`instead.

License requirements: None.

TaperAtEnd

GrooveBuilder.TaperAtEnd

Returns the taper angle at the end.

A positive number will taper towards the inside of the weld.

-------------------------------------

Getter Method

Signature TaperAtEnd

Returns:expression
Return type:NXOpen.Expression

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.EndAngle`instead.

License requirements: None.

TaperAtStart

GrooveBuilder.TaperAtStart

Returns the taper angle at the start.

A positive number will taper towards the inside of the weld.

-------------------------------------

Getter Method

Signature TaperAtStart

Returns:expression
Return type:NXOpen.Expression

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.StartAngle`instead.

License requirements: None.

TaperMethod

GrooveBuilder.TaperMethod

Returns or sets the taper method to use if tapering is specified.

-------------------------------------

Getter Method

Signature TaperMethod

Returns:
Return type:NXOpen.Weld.WeldTaperMethod

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.TaperMethod``instead.

License requirements: None.

-------------------------------------

Setter Method

Signature TaperMethod

Parameters:taperMethod (NXOpen.Weld.WeldTaperMethod) –

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.TaperMethod``instead.

License requirements: ugweld (“UG WELD”)

TopExtension

GrooveBuilder.TopExtension

Returns or sets the the extension method for the top edges

-------------------------------------

Getter Method

Signature TopExtension

Returns:
Return type:NXOpen.Weld.WeldGrooveExtension

New in version NX5.0.0.

Deprecated since version NX9.0.0: This functionality is no longer supported.

License requirements: None.

-------------------------------------

Setter Method

Signature TopExtension

Parameters:extensionType (NXOpen.Weld.WeldGrooveExtension) –

New in version NX5.0.0.

Deprecated since version NX9.0.0: This functionality is no longer supported.

License requirements: ugweld (“UG WELD”)

Method Detail

GetContourHeight

GrooveBuilder.GetContourHeight

Gets the contour height needed to describe groove weld shape

Signature GetContourHeight()

Returns:expression
Return type:NXOpen.Expression

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.ContourHeight`instead.

License requirements: None.

GetFirstFacesetEndAdjacentFaces

GrooveBuilder.GetFirstFacesetEndAdjacentFaces

Gets the adjacent faces of the target solid.

These faces are used to trim the groove weld solid with.

Signature GetFirstFacesetEndAdjacentFaces()

Returns:the adjacent face reference objects
Return type:list of NXOpen.Face

New in version NX5.0.0.

Deprecated since version NX9.0.0: This functionality is no longer supported.

License requirements: None.

GetFirstFacesetStartAdjacentFaces

GrooveBuilder.GetFirstFacesetStartAdjacentFaces

Gets the adjacent faces of the target solid.

These faces are used to trim the groove weld solid with.

Signature GetFirstFacesetStartAdjacentFaces()

Returns:the adjacent face reference objects
Return type:list of NXOpen.Face

New in version NX5.0.0.

Deprecated since version NX9.0.0: This functionality is no longer supported.

License requirements: None.

GetGrooveAngle

GrooveBuilder.GetGrooveAngle

Gets the groove angle needed to describe groove weld

Signature GetGrooveAngle()

Returns:expression
Return type:NXOpen.Expression

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.GrooveAngle`instead.

License requirements: None.

GetGrooveRadius

GrooveBuilder.GetGrooveRadius

Gets the groove radius needed to describe groove weld

Signature GetGrooveRadius()

Returns:expression
Return type:NXOpen.Expression

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.GrooveRadius`instead.

License requirements: None.

GetPenetrationDepth

GrooveBuilder.GetPenetrationDepth

Gets the penetration depth needed to describe groove weld

Signature GetPenetrationDepth()

Returns:expression
Return type:NXOpen.Expression

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.PenetrationDepth`instead.

License requirements: None.

GetRootOpening

GrooveBuilder.GetRootOpening

Gets the root opening height needed to describe groove weld

Signature GetRootOpening()

Returns:expression
Return type:NXOpen.Expression

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.RootOpening``instead.

License requirements: None.

GetRootPenetration

GrooveBuilder.GetRootPenetration

Gets the root penetration needed to describe groove weld

Signature GetRootPenetration()

Returns:expression
Return type:NXOpen.Expression

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.RootPenetration``instead.

License requirements: None.

GetSecondFacesetEndAdjacentFaces

GrooveBuilder.GetSecondFacesetEndAdjacentFaces

Gets the adjacent faces of the target solid.

These faces are used to trim the groove weld solid with.

Signature GetSecondFacesetEndAdjacentFaces()

Returns:the adjacent face reference objects
Return type:list of NXOpen.Face

New in version NX5.0.0.

Deprecated since version NX9.0.0: This functionality is no longer supported.

License requirements: None.

GetSecondFacesetStartAdjacentFaces

GrooveBuilder.GetSecondFacesetStartAdjacentFaces

Gets the adjacent faces of the target solid.

These faces are used to trim the groove weld solid with.

Signature GetSecondFacesetStartAdjacentFaces()

Returns:the adjacent face reference objects
Return type:list of NXOpen.Face

New in version NX5.0.0.

Deprecated since version NX9.0.0: This functionality is no longer supported.

License requirements: None.

GetSecondPenetrationDepth

GrooveBuilder.GetSecondPenetrationDepth

Gets the second penetration depth needed to describe groove weld.

This is only needed if face heights are different.

Signature GetSecondPenetrationDepth()

Returns:expression
Return type:NXOpen.Expression

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.SecondPenetrationDepth`instead.

License requirements: None.

SetContourHeight

GrooveBuilder.SetContourHeight

Sets the contour height needed to describe groove weld

Signature SetContourHeight(contourHeight)

Parameters:contourHeight (str) –

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.ContourHeight`instead.

License requirements: ugweld (“UG WELD”)

SetDistanceFromEnd

GrooveBuilder.SetDistanceFromEnd

Sets the distance from the end of the faces to build the groove weld

Signature SetDistanceFromEnd(endDistance)

Parameters:endDistance (str) –

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.EndDistance`instead.

License requirements: ugweld (“UG WELD”)

SetDistanceFromStart

GrooveBuilder.SetDistanceFromStart

Set the distance from the start of the faces to build the groove weld

Signature SetDistanceFromStart(startDistance)

Parameters:startDistance (str) –

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.StartDistance`instead.

License requirements: ugweld (“UG WELD”)

SetFirstFacesetEndAdjacentFaces

GrooveBuilder.SetFirstFacesetEndAdjacentFaces

Sets the adjacent faces of the target solid.

These faces are used to trim the groove weld solid with.

Signature SetFirstFacesetEndAdjacentFaces(objects)

Parameters:objects (list of NXOpen.Face) –

New in version NX5.0.0.

Deprecated since version NX9.0.0: This functionality is no longer supported.

License requirements: ugweld (“UG WELD”)

SetFirstFacesetStartAdjacentFaces

GrooveBuilder.SetFirstFacesetStartAdjacentFaces

Sets the adjacent faces of the target solid.

These faces are used to trim the groove weld solid with.

Signature SetFirstFacesetStartAdjacentFaces(objects)

Parameters:objects (list of NXOpen.Face) –

New in version NX5.0.0.

Deprecated since version NX9.0.0: This functionality is no longer supported.

License requirements: ugweld (“UG WELD”)

SetGrooveAngle

GrooveBuilder.SetGrooveAngle

Sets the groove angle needed to describe groove weld

Signature SetGrooveAngle(grooveAngle)

Parameters:grooveAngle (str) –

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.GrooveAngle`instead.

License requirements: ugweld (“UG WELD”)

SetGrooveRadius

GrooveBuilder.SetGrooveRadius

Sets the groove radius needed to describe groove weld

Signature SetGrooveRadius(grooveAngle)

Parameters:grooveAngle (str) –

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.GrooveRadius`instead.

License requirements: ugweld (“UG WELD”)

SetNumberOfSegments

GrooveBuilder.SetNumberOfSegments

Sets the desired number of segments for the groove weld.

Signature SetNumberOfSegments(numSegments)

Parameters:numSegments (str) –

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.NumberOfWelds`instead.

License requirements: ugweld (“UG WELD”)

SetPenetrationDepth

GrooveBuilder.SetPenetrationDepth

Sets the penetration depth needed to describe groove weld

Signature SetPenetrationDepth(penetrationDepth)

Parameters:penetrationDepth (str) –

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.PenetrationDepth`instead.

License requirements: ugweld (“UG WELD”)

SetRootOpening

GrooveBuilder.SetRootOpening

Sets the root opening height needed to describe groove weld

Signature SetRootOpening(rootOpening)

Parameters:rootOpening (str) –

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.RootOpening``instead.

License requirements: ugweld (“UG WELD”)

SetRootPenetration

GrooveBuilder.SetRootPenetration

Sets the root penetration needed to describe groove weld

Signature SetRootPenetration(rootPenetration)

Parameters:rootPenetration (str) –

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.RootPenetration``instead.

License requirements: ugweld (“UG WELD”)

SetSecondFacesetEndAdjacentFaces

GrooveBuilder.SetSecondFacesetEndAdjacentFaces

Sets the adjacent faces of the target solid.

These faces are used to trim the groove weld solid with.

Signature SetSecondFacesetEndAdjacentFaces(objects)

Parameters:objects (list of NXOpen.Face) –

New in version NX5.0.0.

Deprecated since version NX9.0.0: This functionality is no longer supported.

License requirements: ugweld (“UG WELD”)

SetSecondFacesetStartAdjacentFaces

GrooveBuilder.SetSecondFacesetStartAdjacentFaces

Sets the adjacent faces of the target solid.

These faces are used to trim the groove weld solid with.

Signature SetSecondFacesetStartAdjacentFaces(objects)

Parameters:objects (list of NXOpen.Face) –

New in version NX5.0.0.

Deprecated since version NX9.0.0: This functionality is no longer supported.

License requirements: ugweld (“UG WELD”)

SetSecondPenetrationDepth

GrooveBuilder.SetSecondPenetrationDepth

Sets the penetration depth needed to describe groove weld

Signature SetSecondPenetrationDepth(secondPenetrationDepth)

Parameters:secondPenetrationDepth (str) –

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.SecondPenetrationDepth`instead.

License requirements: ugweld (“UG WELD”)

SetSegmentLength

GrooveBuilder.SetSegmentLength

Sets the desired segment lengh for the skip weld.

Signature SetSegmentLength(segmentLength)

Parameters:segmentLength (str) –

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.SegmentLength`instead.

License requirements: ugweld (“UG WELD”)

SetSpacingDistance

GrooveBuilder.SetSpacingDistance

Sets the desired spacing between skip welds.

Signature SetSpacingDistance(spacingDistance)

Parameters:spacingDistance (str) –

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.Spacing`instead.

License requirements: ugweld (“UG WELD”)

SetTaperAtEnd

GrooveBuilder.SetTaperAtEnd

Sets the taper angle at the end.

A positive number will taper towards the inside of the weld.

Signature SetTaperAtEnd(endTaper)

Parameters:endTaper (str) –

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.EndAngle`instead.

License requirements: ugweld (“UG WELD”)

SetTaperAtStart

GrooveBuilder.SetTaperAtStart

Sets the taper angle at the start.

A positive number will taper towards the inside of the weld.

Signature SetTaperAtStart(startTaper)

Parameters:startTaper (str) –

New in version NX5.0.0.

Deprecated since version NX9.0.0: Use :py:meth:`NXOpen.Weld.WeldGrooveBuilder.StartAngle`instead.

License requirements: ugweld (“UG WELD”)

Validate

GrooveBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.